### Enumeration

# Gimp LayerColorSpace

unstable since: 3.0

#### Declaration

    enum Gimp.LayerColorSpace

#### Description [src]

Extracted from app/operations/operations-enums.h.

Available since: 3.0

#### Members

`GIMP_LAYER_COLOR_SPACE_AUTO`

  GIMP_LAYER_COLOR_SPACE_AUTO.

  - Value: `0`
  - Nickname: `auto`
  - Available since: 3.0
`GIMP_LAYER_COLOR_SPACE_RGB_LINEAR`

  GIMP_LAYER_COLOR_SPACE_RGB_LINEAR.

  - Value: `1`
  - Nickname: `rgb-linear`
  - Available since: 3.0
`GIMP_LAYER_COLOR_SPACE_RGB_PERCEPTUAL`

  GIMP_LAYER_COLOR_SPACE_RGB_PERCEPTUAL.

  - Value: `2`
  - Nickname: `rgb-perceptual`
  - Available since: 3.0